```
==> Starting check()...
----- using default flags $CMAKE_FLAGS from /builds/dune-archiso/repository/dune-agnumpde/dune-subgrid.opts -----
--- going to build dune-subgrid  ---
WARNING: commandline parameters will overwrite setting in opts file "/builds/dune-archiso/repository/dune-agnumpde/dune-subgrid.opts"
--- calling make for dune-subgrid ---
build directory: build-cmake
cmake --build . --  "build_tests"
[ 12%] Building CXX object dune/subgrid/test/CMakeFiles/test-w-onedgrid.dir/test-w-onedgrid.cc.o
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:36,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleveliterator.hh:58:13: warning: DUNE_UNUSED is deprecated
   58 |         explicit SubGridLevelIterator(const GridImp* subGrid, int level, bool endDummy DUNE_UNUSED) :
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:37,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleafiterator.hh:67:13: warning: DUNE_UNUSED is deprecated
   67 |         explicit SubGridLeafIterator(const GridImp* subGrid, bool endDummy DUNE_UNUSED) :
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:38,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridhierarchiciterator.hh:60:13: warning: DUNE_UNUSED is deprecated
   60 |         explicit SubGridHierarchicIterator(const GridImp* subGrid, const SubGridElement& startEntity, int maxLevel, bool endDummy DUNE_UNUSED) :
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:39,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:183:13: warning: DUNE_UNUSED is deprecated
  183 |         MultilevelCounter& getGeometryTypeCountForLevel(const GeometryType& gt, int level DUNE_UNUSED)
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:199:13: warning: DUNE_UNUSED is deprecated
  199 |         const MultilevelCounter& getGeometryTypeCountForLevel(const GeometryType& gt, int level DUNE_UNUSED) const
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:39,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:574:13: warning: DUNE_UNUSED is deprecated
  574 |         static void insertSubEntities(SubGridMapIndexStorage<GridType>& indexStorage DUNE_UNUSED, const Element& e DUNE_UNUSED, bool isLeaf DUNE_UNUSED, int level DUNE_UNUSED)
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:574:13: warning: DUNE_UNUSED is deprecated
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:574:13: warning: DUNE_UNUSED is deprecated
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:574:13: warning: DUNE_UNUSED is deprecated
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:954:13: warning: DUNE_UNUSED is deprecated
  954 |         static void insertSubEntities(SubGridVectorIndexStorage<GridType>& indexStorage DUNE_UNUSED, const Element& e DUNE_UNUSED, bool isLeaf DUNE_UNUSED, int level DUNE_UNUSED)
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:954:13: warning: DUNE_UNUSED is deprecated
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:954:13: warning: DUNE_UNUSED is deprecated
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:954:13: warning: DUNE_UNUSED is deprecated
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:338:13: warning: DUNE_UNUSED is deprecated
  338 |         void globalRefine (int refCount DUNE_UNUSED)
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:41,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
In member function ‘Dune::SubGridLeafIntersection<GridImp>& Dune::SubGridLeafIntersection<GridImp>::operator=(Dune::SubGridLeafIntersection<GridImp>&&) [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’,
    inlined from ‘Dune::Intersection<GridImp, IntersectionImp>& Dune::Intersection<GridImp, IntersectionImp>::operator=(Dune::Intersection<GridImp, IntersectionImp>&&) [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>; IntersectionImp = Dune::SubGridLeafIntersection<const Dune::SubGrid<1, Dune::OneDGrid> >]’ at /usr/include/dune/grid/common/intersection.hh:445:12,
    inlined from ‘Dune::SubGridHierarchicLeafFaceIterator<GridImp>& Dune::SubGridHierarchicLeafFaceIterator<GridImp>::operator=(Dune::SubGridHierarchicLeafFaceIterator<GridImp>&&) [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’ at /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridfaceiterator.hh:194:20,
    inlined from ‘void Dune::SubGridLeafIntersectionIterator<GridImp>::initSubIntersections() [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’ at /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleafintersectioniterator.hh:115:30:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridintersection.hh:153:32: warning: ‘<unnamed>.Dune::SubGridHierarchicLeafFaceIterator<const Dune::SubGrid<1, Dune::OneDGrid, false> >::intersect_.Dune::Intersection<const Dune::SubGrid<1, Dune::OneDGrid, false>, Dune::SubGridLeafIntersection<const Dune::SubGrid<1, Dune::OneDGrid, false> > >::real.Dune::SubGridLeafIntersection<const Dune::SubGrid<1, Dune::OneDGrid> >::<anonymous>.Dune::SubGridIntersection<const Dune::SubGrid<1, Dune::OneDGrid> >::subGrid_’ may be used uninitialized [-Wmaybe-uninitialized]
  153 |         this->subGrid_ = other.subGrid_;
      |                          ~~~~~~^~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:34,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleafintersectioniterator.hh: In member function ‘void Dune::SubGridLeafIntersectionIterator<GridImp>::initSubIntersections() [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleafintersectioniterator.hh:115:32: note: ‘<anonymous>’ declared here
  115 |             endFaceIterator_ = HierarchicFaceIterator(subGrid_);
      |                                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:30,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
In member function ‘Dune::SubGridEntity<0, dim, GridImp>& Dune::SubGridEntity<0, dim, GridImp>::operator=(Dune::SubGridEntity<0, dim, GridImp>&&) [with int dim = 1; GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’,
    inlined from ‘Dune::Entity<0, dim, GridImp, EntityImp>& Dune::Entity<0, dim, GridImp, EntityImp>::operator=(Dune::Entity<0, dim, GridImp, EntityImp>&&) [with int dim = 1; GridImp = const Dune::SubGrid<1, Dune::OneDGrid>; EntityImp = Dune::SubGridEntity]’ at /usr/include/dune/grid/common/entity.hh:385:18,
    inlined from ‘Dune::SubGridLeafIntersection<GridImp>& Dune::SubGridLeafIntersection<GridImp>::operator=(Dune::SubGridLeafIntersection<GridImp>&&) [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’ at /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridintersection.hh:156:17,
    inlined from ‘Dune::Intersection<GridImp, IntersectionImp>& Dune::Intersection<GridImp, IntersectionImp>::operator=(Dune::Intersection<GridImp, IntersectionImp>&&) [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>; IntersectionImp = Dune::SubGridLeafIntersection<const Dune::SubGrid<1, Dune::OneDGrid> >]’ at /usr/include/dune/grid/common/intersection.hh:445:12,
    inlined from ‘Dune::SubGridHierarchicLeafFaceIterator<GridImp>& Dune::SubGridHierarchicLeafFaceIterator<GridImp>::operator=(Dune::SubGridHierarchicLeafFaceIterator<GridImp>&&) [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’ at /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridfaceiterator.hh:194:20,
    inlined from ‘void Dune::SubGridLeafIntersectionIterator<GridImp>::initSubIntersections() [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’ at /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleafintersectioniterator.hh:115:30:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridentity.hh:252:36: warning: ‘<unnamed>.Dune::SubGridHierarchicLeafFaceIterator<const Dune::SubGrid<1, Dune::OneDGrid, false> >::intersect_.Dune::Intersection<const Dune::SubGrid<1, Dune::OneDGrid, false>, Dune::SubGridLeafIntersection<const Dune::SubGrid<1, Dune::OneDGrid, false> > >::real.Dune::SubGridLeafIntersection<const Dune::SubGrid<1, Dune::OneDGrid, false> >::inside_.Dune::Entity<0, 1, const Dune::SubGrid<1, Dune::OneDGrid, false>, Dune::SubGridEntity>::realEntity.Dune::SubGridEntity<0, 1, const Dune::SubGrid<1, Dune::OneDGrid> >::<anonymous>.Dune::SubGridEntityBase<0, 1, const Dune::SubGrid<1, Dune::OneDGrid> >::subGrid_’ may be used uninitialized [-Wmaybe-uninitialized]
  252 |             this->subGrid_ = other.subGrid_;
      |                              ~~~~~~^~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:34,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleafintersectioniterator.hh: In member function ‘void Dune::SubGridLeafIntersectionIterator<GridImp>::initSubIntersections() [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleafintersectioniterator.hh:115:32: note: ‘<anonymous>’ declared here
  115 |             endFaceIterator_ = HierarchicFaceIterator(subGrid_);
      |                                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:30,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
In member function ‘Dune::SubGridEntity<0, dim, GridImp>& Dune::SubGridEntity<0, dim, GridImp>::operator=(Dune::SubGridEntity<0, dim, GridImp>&&) [with int dim = 1; GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’,
    inlined from ‘Dune::Entity<0, dim, GridImp, EntityImp>& Dune::Entity<0, dim, GridImp, EntityImp>::operator=(Dune::Entity<0, dim, GridImp, EntityImp>&&) [with int dim = 1; GridImp = const Dune::SubGrid<1, Dune::OneDGrid>; EntityImp = Dune::SubGridEntity]’ at /usr/include/dune/grid/common/entity.hh:385:18,
    inlined from ‘Dune::SubGridLeafIntersection<GridImp>& Dune::SubGridLeafIntersection<GridImp>::operator=(Dune::SubGridLeafIntersection<GridImp>&&) [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’ at /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridintersection.hh:157:18,
    inlined from ‘Dune::Intersection<GridImp, IntersectionImp>& Dune::Intersection<GridImp, IntersectionImp>::operator=(Dune::Intersection<GridImp, IntersectionImp>&&) [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>; IntersectionImp = Dune::SubGridLeafIntersection<const Dune::SubGrid<1, Dune::OneDGrid> >]’ at /usr/include/dune/grid/common/intersection.hh:445:12,
    inlined from ‘Dune::SubGridHierarchicLeafFaceIterator<GridImp>& Dune::SubGridHierarchicLeafFaceIterator<GridImp>::operator=(Dune::SubGridHierarchicLeafFaceIterator<GridImp>&&) [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’ at /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridfaceiterator.hh:194:20,
    inlined from ‘void Dune::SubGridLeafIntersectionIterator<GridImp>::initSubIntersections() [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’ at /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleafintersectioniterator.hh:115:30:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridentity.hh:252:36: warning: ‘<unnamed>.Dune::SubGridHierarchicLeafFaceIterator<const Dune::SubGrid<1, Dune::OneDGrid, false> >::intersect_.Dune::Intersection<const Dune::SubGrid<1, Dune::OneDGrid, false>, Dune::SubGridLeafIntersection<const Dune::SubGrid<1, Dune::OneDGrid, false> > >::real.Dune::SubGridLeafIntersection<const Dune::SubGrid<1, Dune::OneDGrid, false> >::outside_.Dune::Entity<0, 1, const Dune::SubGrid<1, Dune::OneDGrid, false>, Dune::SubGridEntity>::realEntity.Dune::SubGridEntity<0, 1, const Dune::SubGrid<1, Dune::OneDGrid> >::<anonymous>.Dune::SubGridEntityBase<0, 1, const Dune::SubGrid<1, Dune::OneDGrid> >::subGrid_’ may be used uninitialized [-Wmaybe-uninitialized]
  252 |             this->subGrid_ = other.subGrid_;
      |                              ~~~~~~^~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:34,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-onedgrid.cc:9:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleafintersectioniterator.hh: In member function ‘void Dune::SubGridLeafIntersectionIterator<GridImp>::initSubIntersections() [with GridImp = const Dune::SubGrid<1, Dune::OneDGrid>]’:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleafintersectioniterator.hh:115:32: note: ‘<anonymous>’ declared here
  115 |             endFaceIterator_ = HierarchicFaceIterator(subGrid_);
      |                                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[ 25%] Linking CXX executable test-w-onedgrid
[ 25%] Built target test-w-onedgrid
[ 37%] Building CXX object dune/subgrid/test/CMakeFiles/test-w-ug.dir/test-w-ug.cc.o
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:36,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:14,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:7:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleveliterator.hh:58:13: warning: DUNE_UNUSED is deprecated
   58 |         explicit SubGridLevelIterator(const GridImp* subGrid, int level, bool endDummy DUNE_UNUSED) :
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:37,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:14,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:7:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleafiterator.hh:67:13: warning: DUNE_UNUSED is deprecated
   67 |         explicit SubGridLeafIterator(const GridImp* subGrid, bool endDummy DUNE_UNUSED) :
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:38,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:14,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:7:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridhierarchiciterator.hh:60:13: warning: DUNE_UNUSED is deprecated
   60 |         explicit SubGridHierarchicIterator(const GridImp* subGrid, const SubGridElement& startEntity, int maxLevel, bool endDummy DUNE_UNUSED) :
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:39,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:14,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:7:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:183:13: warning: DUNE_UNUSED is deprecated
  183 |         MultilevelCounter& getGeometryTypeCountForLevel(const GeometryType& gt, int level DUNE_UNUSED)
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:199:13: warning: DUNE_UNUSED is deprecated
  199 |         const MultilevelCounter& getGeometryTypeCountForLevel(const GeometryType& gt, int level DUNE_UNUSED) const
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:39,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:14,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:7:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:574:13: warning: DUNE_UNUSED is deprecated
  574 |         static void insertSubEntities(SubGridMapIndexStorage<GridType>& indexStorage DUNE_UNUSED, const Element& e DUNE_UNUSED, bool isLeaf DUNE_UNUSED, int level DUNE_UNUSED)
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:574:13: warning: DUNE_UNUSED is deprecated
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:574:13: warning: DUNE_UNUSED is deprecated
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:574:13: warning: DUNE_UNUSED is deprecated
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:954:13: warning: DUNE_UNUSED is deprecated
  954 |         static void insertSubEntities(SubGridVectorIndexStorage<GridType>& indexStorage DUNE_UNUSED, const Element& e DUNE_UNUSED, bool isLeaf DUNE_UNUSED, int level DUNE_UNUSED)
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:954:13: warning: DUNE_UNUSED is deprecated
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:954:13: warning: DUNE_UNUSED is deprecated
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridindexstorage.hh:954:13: warning: DUNE_UNUSED is deprecated
In file included from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:14,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:7:
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid.hh:338:13: warning: DUNE_UNUSED is deprecated
  338 |         void globalRefine (int refCount DUNE_UNUSED)
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/dune/grid/common/grid.hh:1102,
                 from /usr/include/dune/grid/uggrid.hh:20,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/common/entity.hh: In instantiation of ‘Dune::Entity<codim, dim, GridImp, EntityImp>& Dune::Entity<codim, dim, GridImp, EntityImp>::operator=(Dune::Entity<codim, dim, GridImp, EntityImp>&&) [with int cd = 1; int dim = 2; GridImp = const Dune::UGGrid<2>; EntityImp = Dune::UGGridEntity]’:
/usr/include/dune/grid/uggrid/uggridleveliterator.hh:22:9:   required from ‘void Dune::SubGridLeafIterator<codim, pitype, GridImp>::increment() [with int codim = 1; Dune::PartitionIteratorType pitype = Dune::All_Partition; GridImp = const Dune::SubGrid<2, Dune::UGGrid<2>, false>]’
/usr/include/dune/grid/common/entityiterator.hh:69:29:   required from ‘Dune::EntityIterator<codim, Grid, IteratorImp>& Dune::EntityIterator<codim, Grid, IteratorImp>::operator++() [with int codim = 1; Grid = const Dune::SubGrid<2, Dune::UGGrid<2>, false>; IteratorImp = Dune::SubGridLeafIterator<1, Dune::All_Partition, const Dune::SubGrid<2, Dune::UGGrid<2>, false> >]’
/usr/include/dune/grid/test/checkentitylifetime.hh:51:5:   required from ‘bool checkEntityLifetimeForCodim(GV, std::size_t, Dune::Codim<codim>, std::true_type) [with GV = Dune::GridView<Dune::DefaultLeafGridViewTraits<const Dune::SubGrid<2, Dune::UGGrid<2>, false> > >; int codim = 1; std::size_t = long unsigned int; std::true_type = std::integral_constant<bool, true>]’
/usr/include/dune/grid/test/checkentitylifetime.hh:129:34:   required from ‘void {anonymous}::do_check_entity_lifetime(GV, std::size_t, {anonymous}::index_pack<codim ...>) [with GV = Dune::GridView<Dune::DefaultLeafGridViewTraits<const Dune::SubGrid<2, Dune::UGGrid<2>, false> > >; long unsigned int ...codim = {0, 1, 2}; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/checkentitylifetime.hh:147:27:   required from ‘void checkEntityLifetime(GV, std::size_t) [with GV = Dune::GridView<Dune::DefaultLeafGridViewTraits<const Dune::SubGrid<2, Dune::UGGrid<2>, false> > >; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/gridcheck.hh:1082:22:   required from ‘void gridcheck(Grid&) [with Grid = Dune::SubGrid<2, Dune::UGGrid<2>, false>]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:232:18:   required from ‘size_t checkWithHostGrid(size_t, int, size_t, size_t) [with HostGridType = Dune::UGGrid<2>; EltGeometryType EGT = SIMPLEX; size_t = long unsigned int]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:18:76:   required from here
/usr/include/dune/grid/common/entity.hh:206:18: error: use of deleted function ‘Dune::UGGridEntity<1, 2, const Dune::UGGrid<2> >& Dune::UGGridEntity<1, 2, const Dune::UGGrid<2> >::operator=(const Dune::UGGridEntity<1, 2, const Dune::UGGrid<2> >&)’
  206 |       realEntity = std::move(other.realEntity);
      |       ~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/dune/grid/uggrid.hh:102,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/uggrid/uggridentity.hh:49:9: note: ‘Dune::UGGridEntity<1, 2, const Dune::UGGrid<2> >& Dune::UGGridEntity<1, 2, const Dune::UGGrid<2> >::operator=(const Dune::UGGridEntity<1, 2, const Dune::UGGrid<2> >&)’ is implicitly deleted because the default definition would be ill-formed:
   49 |   class UGGridEntity
      |         ^~~~~~~~~~~~
/usr/include/dune/grid/uggrid/uggridentity.hh:49:9: error: use of deleted function ‘std::unique_ptr<_Tp, _Dp>& std::unique_ptr<_Tp, _Dp>::operator=(const std::unique_ptr<_Tp, _Dp>&) [with _Tp = Dune::UGGridGeometry<1, 2, const Dune::UGGrid<2> >; _Dp = std::default_delete<Dune::UGGridGeometry<1, 2, const Dune::UGGrid<2> > >]’
In file included from /usr/include/c++/11.1.0/memory:76,
                 from /usr/include/dune/grid/uggrid.hh:11,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/c++/11.1.0/bits/unique_ptr.h:469:19: note: declared here
  469 |       unique_ptr& operator=(const unique_ptr&) = delete;
      |                   ^~~~~~~~
In file included from /usr/include/dune/grid/common/grid.hh:1102,
                 from /usr/include/dune/grid/uggrid.hh:20,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/common/entity.hh: In instantiation of ‘Dune::Entity<codim, dim, GridImp, EntityImp>& Dune::Entity<codim, dim, GridImp, EntityImp>::operator=(Dune::Entity<codim, dim, GridImp, EntityImp>&&) [with int cd = 1; int dim = 3; GridImp = const Dune::UGGrid<3>; EntityImp = Dune::UGGridEntity]’:
/usr/include/dune/grid/uggrid/uggridleveliterator.hh:22:9:   required from ‘void Dune::SubGridLeafIterator<codim, pitype, GridImp>::increment() [with int codim = 1; Dune::PartitionIteratorType pitype = Dune::All_Partition; GridImp = const Dune::SubGrid<3, Dune::UGGrid<3>, false>]’
/usr/include/dune/grid/common/entityiterator.hh:69:29:   required from ‘Dune::EntityIterator<codim, Grid, IteratorImp>& Dune::EntityIterator<codim, Grid, IteratorImp>::operator++() [with int codim = 1; Grid = const Dune::SubGrid<3, Dune::UGGrid<3>, false>; IteratorImp = Dune::SubGridLeafIterator<1, Dune::All_Partition, const Dune::SubGrid<3, Dune::UGGrid<3>, false> >]’
/usr/include/dune/grid/test/checkentitylifetime.hh:51:5:   required from ‘bool checkEntityLifetimeForCodim(GV, std::size_t, Dune::Codim<codim>, std::true_type) [with GV = Dune::GridView<Dune::DefaultLeafGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; int codim = 1; std::size_t = long unsigned int; std::true_type = std::integral_constant<bool, true>]’
/usr/include/dune/grid/test/checkentitylifetime.hh:129:34:   required from ‘void {anonymous}::do_check_entity_lifetime(GV, std::size_t, {anonymous}::index_pack<codim ...>) [with GV = Dune::GridView<Dune::DefaultLeafGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; long unsigned int ...codim = {0, 1, 2, 3}; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/checkentitylifetime.hh:147:27:   required from ‘void checkEntityLifetime(GV, std::size_t) [with GV = Dune::GridView<Dune::DefaultLeafGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/gridcheck.hh:1082:22:   required from ‘void gridcheck(Grid&) [with Grid = Dune::SubGrid<3, Dune::UGGrid<3>, false>]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:232:18:   required from ‘size_t checkWithHostGrid(size_t, int, size_t, size_t) [with HostGridType = Dune::UGGrid<3>; EltGeometryType EGT = SIMPLEX; size_t = long unsigned int]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:20:76:   required from here
/usr/include/dune/grid/common/entity.hh:206:18: error: use of deleted function ‘Dune::UGGridEntity<1, 3, const Dune::UGGrid<3> >& Dune::UGGridEntity<1, 3, const Dune::UGGrid<3> >::operator=(const Dune::UGGridEntity<1, 3, const Dune::UGGrid<3> >&)’
  206 |       realEntity = std::move(other.realEntity);
      |       ~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/dune/grid/uggrid.hh:102,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/uggrid/uggridentity.hh:49:9: note: ‘Dune::UGGridEntity<1, 3, const Dune::UGGrid<3> >& Dune::UGGridEntity<1, 3, const Dune::UGGrid<3> >::operator=(const Dune::UGGridEntity<1, 3, const Dune::UGGrid<3> >&)’ is implicitly deleted because the default definition would be ill-formed:
   49 |   class UGGridEntity
      |         ^~~~~~~~~~~~
/usr/include/dune/grid/uggrid/uggridentity.hh:49:9: error: use of deleted function ‘std::unique_ptr<_Tp, _Dp>& std::unique_ptr<_Tp, _Dp>::operator=(const std::unique_ptr<_Tp, _Dp>&) [with _Tp = Dune::UGGridGeometry<2, 3, const Dune::UGGrid<3> >; _Dp = std::default_delete<Dune::UGGridGeometry<2, 3, const Dune::UGGrid<3> > >]’
In file included from /usr/include/c++/11.1.0/memory:76,
                 from /usr/include/dune/grid/uggrid.hh:11,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/c++/11.1.0/bits/unique_ptr.h:469:19: note: declared here
  469 |       unique_ptr& operator=(const unique_ptr&) = delete;
      |                   ^~~~~~~~
In file included from /usr/include/dune/grid/common/grid.hh:1102,
                 from /usr/include/dune/grid/uggrid.hh:20,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/common/entity.hh: In instantiation of ‘Dune::Entity<codim, dim, GridImp, EntityImp>& Dune::Entity<codim, dim, GridImp, EntityImp>::operator=(Dune::Entity<codim, dim, GridImp, EntityImp>&&) [with int cd = 2; int dim = 3; GridImp = const Dune::UGGrid<3>; EntityImp = Dune::UGGridEntity]’:
/usr/include/dune/grid/uggrid/uggridleveliterator.hh:22:9:   required from ‘void Dune::SubGridLeafIterator<codim, pitype, GridImp>::increment() [with int codim = 2; Dune::PartitionIteratorType pitype = Dune::All_Partition; GridImp = const Dune::SubGrid<3, Dune::UGGrid<3>, false>]’
/usr/include/dune/grid/common/entityiterator.hh:69:29:   required from ‘Dune::EntityIterator<codim, Grid, IteratorImp>& Dune::EntityIterator<codim, Grid, IteratorImp>::operator++() [with int codim = 2; Grid = const Dune::SubGrid<3, Dune::UGGrid<3>, false>; IteratorImp = Dune::SubGridLeafIterator<2, Dune::All_Partition, const Dune::SubGrid<3, Dune::UGGrid<3>, false> >]’
/usr/include/dune/grid/test/checkentitylifetime.hh:51:5:   required from ‘bool checkEntityLifetimeForCodim(GV, std::size_t, Dune::Codim<codim>, std::true_type) [with GV = Dune::GridView<Dune::DefaultLeafGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; int codim = 2; std::size_t = long unsigned int; std::true_type = std::integral_constant<bool, true>]’
/usr/include/dune/grid/test/checkentitylifetime.hh:129:34:   required from ‘void {anonymous}::do_check_entity_lifetime(GV, std::size_t, {anonymous}::index_pack<codim ...>) [with GV = Dune::GridView<Dune::DefaultLeafGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; long unsigned int ...codim = {0, 1, 2, 3}; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/checkentitylifetime.hh:147:27:   required from ‘void checkEntityLifetime(GV, std::size_t) [with GV = Dune::GridView<Dune::DefaultLeafGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/gridcheck.hh:1082:22:   required from ‘void gridcheck(Grid&) [with Grid = Dune::SubGrid<3, Dune::UGGrid<3>, false>]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:232:18:   required from ‘size_t checkWithHostGrid(size_t, int, size_t, size_t) [with HostGridType = Dune::UGGrid<3>; EltGeometryType EGT = SIMPLEX; size_t = long unsigned int]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:20:76:   required from here
/usr/include/dune/grid/common/entity.hh:206:18: error: use of deleted function ‘Dune::UGGridEntity<2, 3, const Dune::UGGrid<3> >& Dune::UGGridEntity<2, 3, const Dune::UGGrid<3> >::operator=(const Dune::UGGridEntity<2, 3, const Dune::UGGrid<3> >&)’
  206 |       realEntity = std::move(other.realEntity);
      |       ~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/dune/grid/uggrid.hh:102,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/uggrid/uggridentity.hh:49:9: note: ‘Dune::UGGridEntity<2, 3, const Dune::UGGrid<3> >& Dune::UGGridEntity<2, 3, const Dune::UGGrid<3> >::operator=(const Dune::UGGridEntity<2, 3, const Dune::UGGrid<3> >&)’ is implicitly deleted because the default definition would be ill-formed:
   49 |   class UGGridEntity
      |         ^~~~~~~~~~~~
/usr/include/dune/grid/uggrid/uggridentity.hh:49:9: error: use of deleted function ‘std::unique_ptr<_Tp, _Dp>& std::unique_ptr<_Tp, _Dp>::operator=(const std::unique_ptr<_Tp, _Dp>&) [with _Tp = Dune::UGGridGeometry<1, 3, const Dune::UGGrid<3> >; _Dp = std::default_delete<Dune::UGGridGeometry<1, 3, const Dune::UGGrid<3> > >]’
In file included from /usr/include/c++/11.1.0/memory:76,
                 from /usr/include/dune/grid/uggrid.hh:11,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/c++/11.1.0/bits/unique_ptr.h:469:19: note: declared here
  469 |       unique_ptr& operator=(const unique_ptr&) = delete;
      |                   ^~~~~~~~
In file included from /usr/include/dune/grid/uggrid.hh:106,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/uggrid/uggridleveliterator.hh: In instantiation of ‘void Dune::UGGridLevelIterator<codim, pitype, GridImp>::increment() [with int codim = 1; Dune::PartitionIteratorType pitype = Dune::All_Partition; GridImp = const Dune::UGGrid<2>]’:
/usr/include/dune/grid/common/entityiterator.hh:69:29:   required from ‘Dune::EntityIterator<codim, Grid, IteratorImp>& Dune::EntityIterator<codim, Grid, IteratorImp>::operator++() [with int codim = 1; Grid = const Dune::UGGrid<2>; IteratorImp = Dune::UGGridLevelIterator<1, Dune::All_Partition, const Dune::UGGrid<2> >]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleveliterator.hh:100:17:   required from ‘void Dune::SubGridLevelIterator<codim, pitype, GridImp>::increment() [with int codim = 1; Dune::PartitionIteratorType pitype = Dune::All_Partition; GridImp = const Dune::SubGrid<2, Dune::UGGrid<2>, false>]’
/usr/include/dune/grid/common/entityiterator.hh:69:29:   required from ‘Dune::EntityIterator<codim, Grid, IteratorImp>& Dune::EntityIterator<codim, Grid, IteratorImp>::operator++() [with int codim = 1; Grid = const Dune::SubGrid<2, Dune::UGGrid<2>, false>; IteratorImp = Dune::SubGridLevelIterator<1, Dune::All_Partition, const Dune::SubGrid<2, Dune::UGGrid<2>, false> >]’
/usr/include/dune/grid/test/checkentitylifetime.hh:51:5:   required from ‘bool checkEntityLifetimeForCodim(GV, std::size_t, Dune::Codim<codim>, std::true_type) [with GV = Dune::GridView<Dune::DefaultLevelGridViewTraits<const Dune::SubGrid<2, Dune::UGGrid<2>, false> > >; int codim = 1; std::size_t = long unsigned int; std::true_type = std::integral_constant<bool, true>]’
/usr/include/dune/grid/test/checkentitylifetime.hh:129:34:   required from ‘void {anonymous}::do_check_entity_lifetime(GV, std::size_t, {anonymous}::index_pack<codim ...>) [with GV = Dune::GridView<Dune::DefaultLevelGridViewTraits<const Dune::SubGrid<2, Dune::UGGrid<2>, false> > >; long unsigned int ...codim = {0, 1, 2}; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/checkentitylifetime.hh:147:27:   required from ‘void checkEntityLifetime(GV, std::size_t) [with GV = Dune::GridView<Dune::DefaultLevelGridViewTraits<const Dune::SubGrid<2, Dune::UGGrid<2>, false> > >; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/gridcheck.hh:1079:22:   required from ‘void gridcheck(Grid&) [with Grid = Dune::SubGrid<2, Dune::UGGrid<2>, false>]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:232:18:   required from ‘size_t checkWithHostGrid(size_t, int, size_t, size_t) [with HostGridType = Dune::UGGrid<2>; EltGeometryType EGT = SIMPLEX; size_t = long unsigned int]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:18:76:   required from here
/usr/include/dune/grid/uggrid/uggridleveliterator.hh:77:44: error: invalid conversion from ‘void*’ to ‘Dune::UG_NS<2>::Entity<1>::T*’ {aka ‘UG::D2::edge*’} [-fpermissive]
   77 |         entity.setToTarget(UG_NS<dim>::succ(entity.getTarget()),gridImp_);
      |                            ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~
      |                                            |
      |                                            void*
In file included from /usr/include/dune/grid/uggrid.hh:102,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/uggrid/uggridentity.hh:225:70: note:   initializing argument 1 of ‘void Dune::UGGridEntity<codim, dim, GridImp>::setToTarget(typename Dune::UG_NS<coorddim>::Entity<codim>::T*, const GridImp*) [with int codim = 1; int dim = 2; GridImp = const Dune::UGGrid<2>; typename Dune::UG_NS<coorddim>::Entity<codim>::T = UG::D2::edge; typename Dune::UG_NS<coorddim>::Entity<codim> = Dune::UG_NS<2>::Entity<1>]’
  225 |     void setToTarget(typename UG_NS<dim>::template Entity<codim>::T* target,const GridImp* gridImp) {
      |                      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~
In file included from /usr/include/dune/grid/uggrid.hh:106,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/uggrid/uggridleveliterator.hh: In instantiation of ‘void Dune::UGGridLevelIterator<codim, pitype, GridImp>::increment() [with int codim = 1; Dune::PartitionIteratorType pitype = Dune::All_Partition; GridImp = const Dune::UGGrid<3>]’:
/usr/include/dune/grid/common/entityiterator.hh:69:29:   required from ‘Dune::EntityIterator<codim, Grid, IteratorImp>& Dune::EntityIterator<codim, Grid, IteratorImp>::operator++() [with int codim = 1; Grid = const Dune::UGGrid<3>; IteratorImp = Dune::UGGridLevelIterator<1, Dune::All_Partition, const Dune::UGGrid<3> >]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleveliterator.hh:100:17:   required from ‘void Dune::SubGridLevelIterator<codim, pitype, GridImp>::increment() [with int codim = 1; Dune::PartitionIteratorType pitype = Dune::All_Partition; GridImp = const Dune::SubGrid<3, Dune::UGGrid<3>, false>]’
/usr/include/dune/grid/common/entityiterator.hh:69:29:   required from ‘Dune::EntityIterator<codim, Grid, IteratorImp>& Dune::EntityIterator<codim, Grid, IteratorImp>::operator++() [with int codim = 1; Grid = const Dune::SubGrid<3, Dune::UGGrid<3>, false>; IteratorImp = Dune::SubGridLevelIterator<1, Dune::All_Partition, const Dune::SubGrid<3, Dune::UGGrid<3>, false> >]’
/usr/include/dune/grid/test/checkentitylifetime.hh:51:5:   required from ‘bool checkEntityLifetimeForCodim(GV, std::size_t, Dune::Codim<codim>, std::true_type) [with GV = Dune::GridView<Dune::DefaultLevelGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; int codim = 1; std::size_t = long unsigned int; std::true_type = std::integral_constant<bool, true>]’
/usr/include/dune/grid/test/checkentitylifetime.hh:129:34:   required from ‘void {anonymous}::do_check_entity_lifetime(GV, std::size_t, {anonymous}::index_pack<codim ...>) [with GV = Dune::GridView<Dune::DefaultLevelGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; long unsigned int ...codim = {0, 1, 2, 3}; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/checkentitylifetime.hh:147:27:   required from ‘void checkEntityLifetime(GV, std::size_t) [with GV = Dune::GridView<Dune::DefaultLevelGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/gridcheck.hh:1079:22:   required from ‘void gridcheck(Grid&) [with Grid = Dune::SubGrid<3, Dune::UGGrid<3>, false>]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:232:18:   required from ‘size_t checkWithHostGrid(size_t, int, size_t, size_t) [with HostGridType = Dune::UGGrid<3>; EltGeometryType EGT = SIMPLEX; size_t = long unsigned int]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:20:76:   required from here
/usr/include/dune/grid/uggrid/uggridleveliterator.hh:77:44: error: invalid conversion from ‘void*’ to ‘Dune::UG_NS<3>::Entity<1>::T*’ {aka ‘UG::D3::vector*’} [-fpermissive]
   77 |         entity.setToTarget(UG_NS<dim>::succ(entity.getTarget()),gridImp_);
      |                            ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~
      |                                            |
      |                                            void*
In file included from /usr/include/dune/grid/uggrid.hh:102,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/uggrid/uggridentity.hh:225:70: note:   initializing argument 1 of ‘void Dune::UGGridEntity<codim, dim, GridImp>::setToTarget(typename Dune::UG_NS<coorddim>::Entity<codim>::T*, const GridImp*) [with int codim = 1; int dim = 3; GridImp = const Dune::UGGrid<3>; typename Dune::UG_NS<coorddim>::Entity<codim>::T = UG::D3::vector; typename Dune::UG_NS<coorddim>::Entity<codim> = Dune::UG_NS<3>::Entity<1>]’
  225 |     void setToTarget(typename UG_NS<dim>::template Entity<codim>::T* target,const GridImp* gridImp) {
      |                      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~
In file included from /usr/include/dune/grid/uggrid.hh:106,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/uggrid/uggridleveliterator.hh: In instantiation of ‘void Dune::UGGridLevelIterator<codim, pitype, GridImp>::increment() [with int codim = 2; Dune::PartitionIteratorType pitype = Dune::All_Partition; GridImp = const Dune::UGGrid<3>]’:
/usr/include/dune/grid/common/entityiterator.hh:69:29:   required from ‘Dune::EntityIterator<codim, Grid, IteratorImp>& Dune::EntityIterator<codim, Grid, IteratorImp>::operator++() [with int codim = 2; Grid = const Dune::UGGrid<3>; IteratorImp = Dune::UGGridLevelIterator<2, Dune::All_Partition, const Dune::UGGrid<3> >]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/subgrid/subgridleveliterator.hh:100:17:   required from ‘void Dune::SubGridLevelIterator<codim, pitype, GridImp>::increment() [with int codim = 2; Dune::PartitionIteratorType pitype = Dune::All_Partition; GridImp = const Dune::SubGrid<3, Dune::UGGrid<3>, false>]’
/usr/include/dune/grid/common/entityiterator.hh:69:29:   required from ‘Dune::EntityIterator<codim, Grid, IteratorImp>& Dune::EntityIterator<codim, Grid, IteratorImp>::operator++() [with int codim = 2; Grid = const Dune::SubGrid<3, Dune::UGGrid<3>, false>; IteratorImp = Dune::SubGridLevelIterator<2, Dune::All_Partition, const Dune::SubGrid<3, Dune::UGGrid<3>, false> >]’
/usr/include/dune/grid/test/checkentitylifetime.hh:51:5:   required from ‘bool checkEntityLifetimeForCodim(GV, std::size_t, Dune::Codim<codim>, std::true_type) [with GV = Dune::GridView<Dune::DefaultLevelGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; int codim = 2; std::size_t = long unsigned int; std::true_type = std::integral_constant<bool, true>]’
/usr/include/dune/grid/test/checkentitylifetime.hh:129:34:   required from ‘void {anonymous}::do_check_entity_lifetime(GV, std::size_t, {anonymous}::index_pack<codim ...>) [with GV = Dune::GridView<Dune::DefaultLevelGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; long unsigned int ...codim = {0, 1, 2, 3}; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/checkentitylifetime.hh:147:27:   required from ‘void checkEntityLifetime(GV, std::size_t) [with GV = Dune::GridView<Dune::DefaultLevelGridViewTraits<const Dune::SubGrid<3, Dune::UGGrid<3>, false> > >; std::size_t = long unsigned int]’
/usr/include/dune/grid/test/gridcheck.hh:1079:22:   required from ‘void gridcheck(Grid&) [with Grid = Dune::SubGrid<3, Dune::UGGrid<3>, false>]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/common.hh:232:18:   required from ‘size_t checkWithHostGrid(size_t, int, size_t, size_t) [with HostGridType = Dune::UGGrid<3>; EltGeometryType EGT = SIMPLEX; size_t = long unsigned int]’
/tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:20:76:   required from here
/usr/include/dune/grid/uggrid/uggridleveliterator.hh:77:44: error: invalid conversion from ‘void*’ to ‘Dune::UG_NS<3>::Entity<2>::T*’ {aka ‘UG::D3::edge*’} [-fpermissive]
   77 |         entity.setToTarget(UG_NS<dim>::succ(entity.getTarget()),gridImp_);
      |                            ~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~
      |                                            |
      |                                            void*
In file included from /usr/include/dune/grid/uggrid.hh:102,
                 from /tmp/makepkg/dune-subgrid/src/dune-subgrid-releases-2.7/dune/subgrid/test/test-w-ug.cc:6:
/usr/include/dune/grid/uggrid/uggridentity.hh:225:70: note:   initializing argument 1 of ‘void Dune::UGGridEntity<codim, dim, GridImp>::setToTarget(typename Dune::UG_NS<coorddim>::Entity<codim>::T*, const GridImp*) [with int codim = 2; int dim = 3; GridImp = const Dune::UGGrid<3>; typename Dune::UG_NS<coorddim>::Entity<codim>::T = UG::D3::edge; typename Dune::UG_NS<coorddim>::Entity<codim> = Dune::UG_NS<3>::Entity<2>]’
  225 |     void setToTarget(typename UG_NS<dim>::template Entity<codim>::T* target,const GridImp* gridImp) {
      |                      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~
make[3]: *** [dune/subgrid/test/CMakeFiles/test-w-ug.dir/build.make:76: dune/subgrid/test/CMakeFiles/test-w-ug.dir/test-w-ug.cc.o] Error 1
make[2]: *** [CMakeFiles/Makefile2:1221: dune/subgrid/test/CMakeFiles/test-w-ug.dir/all] Error 2
make[1]: *** [CMakeFiles/Makefile2:1202: CMakeFiles/build_tests.dir/rule] Error 2
make: *** [Makefile:647: build_tests] Error 2
--- Failed to build dune-subgrid ---
Terminating dunecontrol due to previous errors!
==> ERROR: A failure occurred in check().
```
